Package org.apache.sling.distribution.journal.queue

# Class QueueItemFactory

java.lang.Object
org.apache.sling.distribution.journal.queue.QueueItemFactory

@ParametersAreNonnullByDefault public final class QueueItemFactory extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PACKAGE_MSG`
`static final String`
`RECORD_OFFSET`
`static final String`
`RECORD_PARTITION`
`static final String`
`RECORD_TIMESTAMP`
`static final String`
`RECORD_TOPIC`

## Method Summary

Modifier and Type
Method
Description
`static org.apache.sling.distribution.queue.DistributionQueueItem`
`fromPackage(org.apache.sling.distribution.journal.FullMessage<org.apache.sling.distribution.journal.messages.PackageMessage> fMessage)`
`static org.apache.sling.distribution.queue.DistributionQueueItem`
`fromPackage(org.apache.sling.distribution.journal.MessageInfo info, org.apache.sling.distribution.journal.messages.PackageMessage message, boolean addMessage)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### RECORD_TOPIC

public static final String RECORD_TOPIC

See Also:
  - Constant Field Values

### RECORD_PARTITION

public static final String RECORD_PARTITION

See Also:
  - Constant Field Values

### RECORD_OFFSET

public static final String RECORD_OFFSET

See Also:
  - Constant Field Values

### RECORD_TIMESTAMP

public static final String RECORD_TIMESTAMP

See Also:
  - Constant Field Values

### PACKAGE_MSG

public static final String PACKAGE_MSG

See Also:
  - Constant Field Values

## Method Details

### fromPackage

public static org.apache.sling.distribution.queue.DistributionQueueItem fromPackage(org.apache.sling.distribution.journal.FullMessage<org.apache.sling.distribution.journal.messages.PackageMessage> fMessage)

### fromPackage

public static org.apache.sling.distribution.queue.DistributionQueueItem fromPackage(org.apache.sling.distribution.journal.MessageInfo info, org.apache.sling.distribution.journal.messages.PackageMessage message, boolean addMessage)